【漏洞通告】Fastjson 服务端请求伪造漏洞

  • A+
所属分类:安全漏洞

漏洞名称Fastjson 服务端请求伪造漏洞

组件名称 : Fastjson

影响范围 

Fastjson <= 1.2.76

漏洞类型 服务端请求伪造

利用条件 :

1、用户认证:否

2、触发方式:远程

综合评价 :

<综合评定利用难度>:容易,不需要用户认证。
<综合评定威胁等级>:中危,能进行服务端信息探测。


漏洞分析


组件介绍

   Fastjson是一个Java语言编写的高性能功能完善的JSON库。它采用一种“假定有序快速匹配”的算法,把JSON Parse的性能提升到极致,是目前Java语言中最快的JSON库。Fastjson接口简单易用,已经被广泛使用在缓存序列化、协议交互、Web输出、Android客户端等多种应用场景。


2 漏洞描述

   2021年5月6日,深信服安全团队监测到一则Fastjson组件存在SSRF漏洞的信息,漏洞编号:暂无,漏洞威胁等级:中危。

   该漏洞是由于Fastjson与json-lib或org.json库共用使用不当造成,攻击者可利用该漏洞在未授权的情况下,构造恶意数据进行SSRF攻击,最终造成服务器敏感性信息泄露。


3 漏洞复现

    搭建Fastjson组件1.2.76版本环境,复现该漏洞,效果如下:

【漏洞通告】Fastjson 服务端请求伪造漏洞


影响范围



    Fastjson 接口简单易用,已经被广泛使用在缓存序列化、协议交互、Web输出、Android客户端等多种应用场景。目前该项目在Github上已有近24K的star数量,当前曝出的漏洞虽说是中危,但涉及用户量过多,导致漏洞影响力还是很大。

    目前受影响的Fastjson版本:

    Fastjson  <= 1.2.76


解决方案


官方修复建议

   当前官方暂未发布受影响版本的对应补丁,建议受影响的用户及时关注官方最新安全通告与版本。链接如下:

https://github.com/alibaba/fastjson


2 临时修复建议

    建议受影响客户升级Fastjson至1.2.68版本或以上版本,开启SafeMode功能,具体操作见官方文档:

https://github.com/alibaba/fastjson/wiki/fastjson_safemod


3 深信服解决方案

深信服下一代防火墙】可防御此漏洞,建议用户将深信服下一代防火墙开启IPS /WAF防护策略,并更新最新安全防护规则,即可轻松抵御此高危风险。
深信服安全感知平台】结合云端实时热点高危/紧急漏洞信息,可快速检出业务场景下的该漏洞,并可联动【深信服下一代防火墙等产品】实现对攻击者IP的封堵。


时间轴


2021/5/6  深信服监测到Fastjson SSRF漏洞信息。

2021/5/10  深信服千里目安全实验室发布漏洞通告。


点击阅读原文,及时关注并登录深信服智安全平台,可轻松查询漏洞相关解决方案。

【漏洞通告】Fastjson 服务端请求伪造漏洞


深信服千里目安全实验室

【漏洞通告】Fastjson 服务端请求伪造漏洞

深信服科技旗下安全实验室,致力于网络安全攻防技术的研究和积累,深度洞察未知网络安全威胁,解读前沿安全技术。

● 扫码关注我们

本文始发于微信公众号(深信服千里目安全实验室):【漏洞通告】Fastjson 服务端请求伪造漏洞

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: